Package org.eclipse.birt.chart.device

# Interface IPrimitiveRenderer

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `IDeviceRenderer`

All Known Implementing Classes:
  `DeviceAdapter`

public interface IPrimitiveRenderer extends EventListener
Provides low level primitive rendering notifications that are interpreted by a device renderer.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyTransformation(TransformationEvent tev)`
This method is capable of applying a global transformation on the device specific graphics context Available transformation types are: SCALE, TRANSLATE, ROTATE
`void`
`drawArc(ArcRenderEvent are)`
This method is responsible for drawing an elliptical arc on the target rendering device's graphic context.
`void`
`drawArea(AreaRenderEvent are)`
This method is responsible for drawing a custom defined area on the target rendering device's graphic context.
`void`
`drawImage(ImageRenderEvent ire)`
This method is responsible for drawing an image on the target rendering device's graphic context.
`void`
`drawLine(LineRenderEvent lre)`
This method is responsible for drawing a line on the target rendering device's graphic context.
`void`
`drawOval(OvalRenderEvent ore)`
This method is responsible for drawing an oval area on the target rendering device's graphic context.
`void`
`drawPolygon(PolygonRenderEvent pre)`
This method is responsible for drawing a polygon on the target rendering device's graphic context.
`void`
`drawRectangle(RectangleRenderEvent rre)`
This method is responsible for drawing a rectangle on the target rendering device's graphic context.
`void`
`drawText(TextRenderEvent tre)`
This method renders text on the target rendering device's graphic context using one of the three methods: 1.
`void`
`enableInteraction(InteractionEvent ie)`
`void`
`fillArc(ArcRenderEvent are)`
This method is responsible for filling an elliptical arc on the target rendering device's graphic context.
`void`
`fillArea(AreaRenderEvent are)`
This method is responsible for filling a custom defined area on the target rendering device's graphic context.
`void`
`fillOval(OvalRenderEvent ore)`
This method is responsible for filling an oval area on the target rendering device's graphic context.
`void`
`fillPolygon(PolygonRenderEvent pre)`
This method is responsible for filling a polygon on the target rendering device's graphic context.
`void`
`fillRectangle(RectangleRenderEvent rre)`
This method is responsible for filling a rectangle on the target rendering device's graphic context.
`void`
`setClip(ClipRenderEvent cre)`
This method is responsible for clipping an arbitrary area on the target rendering device's graphic context.

## Method Details

### setClip

void setClip(ClipRenderEvent cre)
This method is responsible for clipping an arbitrary area on the target rendering device's graphic context.

Parameters:
  `cre` - Encapsulated information that defines the area to be clipped

### drawImage

void drawImage(ImageRenderEvent ire) throws ChartException
This method is responsible for drawing an image on the target rendering device's graphic context.

Parameters:
  `ire` - Encapsulated information that defines a polygon and its attributes
Throws:
  `ChartException`

### drawLine

void drawLine(LineRenderEvent lre) throws ChartException
This method is responsible for drawing a line on the target rendering device's graphic context.

Parameters:
  `lre` - Encapsulated information that defines a line and its attributes
Throws:
  `ChartException`

### drawRectangle

void drawRectangle(RectangleRenderEvent rre) throws ChartException
This method is responsible for drawing a rectangle on the target rendering device's graphic context.

Parameters:
  `rre` - Encapsulated information that defines a rectangle and its attributes
Throws:
  `ChartException`

### fillRectangle

void fillRectangle(RectangleRenderEvent rre) throws ChartException
This method is responsible for filling a rectangle on the target rendering device's graphic context.

Parameters:
  `rre` - Encapsulated information that defines a rectangle and its attributes
Throws:
  `ChartException`

### drawPolygon

void drawPolygon(PolygonRenderEvent pre) throws ChartException
This method is responsible for drawing a polygon on the target rendering device's graphic context.

Parameters:
  `pre` - Encapsulated information that defines a polygon and its attributes
Throws:
  `ChartException`

### fillPolygon

void fillPolygon(PolygonRenderEvent pre) throws ChartException
This method is responsible for filling a polygon on the target rendering device's graphic context.

Parameters:
  `pre` - Encapsulated information that defines a polygon and its attributes
Throws:
  `ChartException`

### drawArc

void drawArc(ArcRenderEvent are) throws ChartException
This method is responsible for drawing an elliptical arc on the target rendering device's graphic context.

Parameters:
  `are` - Encapsulated information that defines the arc and its attributes
Throws:
  `ChartException`

### fillArc

void fillArc(ArcRenderEvent are) throws ChartException
This method is responsible for filling an elliptical arc on the target rendering device's graphic context.

Parameters:
  `are` - Encapsulated information that defines an arc and its attributes
Throws:
  `ChartException`

### enableInteraction

void enableInteraction(InteractionEvent ie) throws ChartException

Parameters:
  `ie` -
Throws:
  `ChartException`

### drawArea

void drawArea(AreaRenderEvent are) throws ChartException
This method is responsible for drawing a custom defined area on the target rendering device's graphic context.

Parameters:
  `are` - Encapsulated information that defines the area and its attributes
Throws:
  `ChartException`

### fillArea

void fillArea(AreaRenderEvent are) throws ChartException
This method is responsible for filling a custom defined area on the target rendering device's graphic context.

Parameters:
  `are` - Encapsulated information that defines the area and its attributes
Throws:
  `ChartException`

### drawOval

void drawOval(OvalRenderEvent ore) throws ChartException
This method is responsible for drawing an oval area on the target rendering device's graphic context.

Parameters:
  `ore` - Encapsulated information that defines the oval and its attributes
Throws:
  `ChartException`

### fillOval

void fillOval(OvalRenderEvent ore) throws ChartException
This method is responsible for filling an oval area on the target rendering device's graphic context.

Parameters:
  `ore` - Encapsulated information that defines the oval and its attributes
Throws:
  `ChartException`

### drawText

void drawText(TextRenderEvent tre) throws ChartException
This method renders text on the target rendering device's graphic context using one of the three methods: 1. Renders text (with optional insets, border, fill, etc) with the encapsulating container rectangle's corner or edge aligning against a given point 2. Renders a shadow offset with the encapsulating container rectangle's corner or edge aligning against a given point 3. Renders text (with optional insets, border, fill, etc) with the encapsulating container rectangle's bounding box aligned with a parent block's bounding box

Parameters:
  `ore` - Encapsulated information that defines the text being rendered, its position and various other attributes
Throws:
  `ChartException`

### applyTransformation

void applyTransformation(TransformationEvent tev) throws ChartException
This method is capable of applying a global transformation on the device specific graphics context Available transformation types are: SCALE, TRANSLATE, ROTATE

Parameters:
  `tev` -
Throws:
  `ChartException`